Page MenuHomePhabricator

Cumin: PuppetDB backend, add support for API v4
Closed, ResolvedPublic

Description

Add support for v4 of PuppetDB API in the Cumin's PuppetDB backend.

Event Timeline

Volans created this task.Dec 11 2017, 12:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2017, 12:37 PM
Volans moved this task from Backlog to In Progress on the SRE-tools board.Dec 11 2017, 2:19 PM

Change 399821 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/cumin@master] PuppetDB backend: add support for API v4

https://gerrit.wikimedia.org/r/399821

Volans triaged this task as Normal priority.Dec 22 2017, 3:13 PM
Volans moved this task from In Progress to In Code Review on the SRE-tools board.Dec 22 2017, 3:41 PM
Volans added a subscriber: herron.Jan 9 2018, 3:05 PM

Change 399821 merged by jenkins-bot:
[operations/software/cumin@master] PuppetDB backend: add support for API v4

https://gerrit.wikimedia.org/r/399821

Change 405712 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Cumin: set PuppetDB api version to 3

https://gerrit.wikimedia.org/r/405712

Change 405712 merged by Volans:
[operations/puppet@production] Cumin: set PuppetDB api version to 3

https://gerrit.wikimedia.org/r/405712

Mentioned in SAL (#wikimedia-operations) [2018-01-22T16:51:21Z] <volans> upgraded debdeploy and cumin to latest released on neodymium/sarin - T182575

Volans closed this task as Resolved.Jan 22 2018, 4:51 PM
Volans removed a project: Patch-For-Review.

Cumin 2.0.0 with support for Puppet API v4 was released. Debdeploy was updated accordingly.
Both debdeploy and cumin were released into production.